Skip to main content
GET
/
api
/
workflow
/
v1.0
/
customer
/
{customerId}
/
Workflow
cURL
curl --request GET \
  --url https://api.example.com/api/workflow/v1.0/customer/{customerId}/Workflow \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/workflow/v1.0/customer/{customerId}/Workflow"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/workflow/v1.0/customer/{customerId}/Workflow', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "meta": {
    "errors": [
      {
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "validation": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ],
    "info": {}
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataSet": "<string>",
      "name": "<string>",
      "tasks": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "parameters": {},
          "isTrigger": true
        }
      ],
      "tasksHierarchy": [
        {
          "parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "child": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "isEnabled": true,
      "lastWorkflowExecution": {
        "workflowExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created": "2023-11-07T05:31:56Z",
        "finished": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "totalItemsCount": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

customerId
string<uuid>
required
version
string
required

Query Parameters

dataSetId
string<uuid>[]
isEnabled
boolean
createdLess
string<date-time>
createdGreater
string<date-time>
orderBy
string
orderByDesc
boolean
take
integer<int32>
skip
integer<int32>

Response

OK

meta
object
data
object[] | null
totalItemsCount
integer<int32>